Bug 801341 - Select Working Sets > Save and close throws exception if no working set is selected
Select Working Sets > Save and close throws exception if no working set is se...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ER6
: BRMS 5.3.0.GA
Assigned To: Mark Proctor
Jiri Locker
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 05:40 EST by Jiri Locker
Modified: 2013-11-07 17:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously when selecting a working set for an asset, if no working set was selecting pressing the save and close button caused a RuntimeException to occur. This has been resolved. If no working set is selected the select working set dialog box closes and normal use of the interface can continue uninterrupted.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
server.log (5.87 KB, text/plain)
2012-03-08 05:40 EST, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2012-03-08 05:40:16 EST
Created attachment 568574 [details]
server.log

Description of problem:
When there is no working set left in the "Selected" column, finishing the dialog with "Save and close" button causes a RuntimeException at org.drools.verifier.builder.VerifierImpl. The exception is logged only, no error is displayed in Guvnor.

Version-Release number of selected component (if applicable):
BRMS 5.3.0 ER4

How reproducible:
always

Steps to Reproduce:
1. open any business rule in guided editor
2. open Edit > Select Working Sets dialog
3. if any working sets are selected, remove them all so that the "Selected" column is empty
4. click Save and close
  
Actual results:
exception in server log, see attachment

Expected results:
no exception expected

Additional info:
see attached log
Comment 1 Ryan Zhang 2012-04-23 03:40:15 EDT
Update status to ON_QA. Please verify them against ER6.
Comment 3 Jiri Locker 2012-05-04 11:46:53 EDT
Fix verified in ER6.
Comment 4 lcarlon 2012-06-03 22:28:17 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously when selecting a working set for an asset, if no working set was selecting pressing the save and close button caused a RuntimeException to occur. This has been resolved. If no working set is selected the select working set dialog box closes and normal use of the interface can continue uninterrupted.

Note You need to log in before you can comment on or make changes to this bug.